Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document view
Target version: 2.1.0-2239-testing
Severity: Blocker Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2238 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Steps in order to reproduce this bug:

    -  create and open a view;
    -  add a whatever layer and activate it;
    -  try to identify a feature by the "Info by point" tool.

Result: an "Info by point" error appears in the status bar and the "Info by point" window is not shown.

It seems due to the recent modifications in the org.gvsig.fmap.geom packages. In fact:

ERROR AWT-EventQueue-1 org.gvsig.andami.messages.NotificationManager - Info by Point
java.lang.ClassCastException: org.gvsig.fmap.geom.generalpath.gputils.DefaultGeneralPathX cannot be cast to
org.gvsig.fmap.geom.primitive.GeneralPathX
    at org.gvsig.fmap.geom.generalpath.primitive.surface.ellipse.Circle2D.cloneFShape(Circle2D.java:92)
    at org.gvsig.fmap.geom.generalpath.primitive.AbstractPrimitive.cloneGeometry(AbstractPrimitive.java:181)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.fromViewPortCRSToSourceCRS(FLyrVect.java:1169)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.queryByGeometry(FLyrVect.java:864)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.queryByPoint(FLyrVect.java:843)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.getInfo(FLyrVect.java:958)
    at org.gvsig.app.project.documents.view.toolListeners.InfoListener.point(InfoListener.java:130)
        [...]

So this issue is due to the same reason of #2702 and #2705.

History
#1 - 07/23/2014 03:10 AM - Álvaro Anguix
- Severity changed from Major to Blocker
- Target version set to 2.1.0-2259-rc3
- Priority changed from Normal to Urgent
- Assignee set to Joaquín  del Cerro Murciano
- Category set to Document view

#2 - 07/24/2014 09:38 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 07/27/2014 08:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#4 - 07/28/2014 06:42 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
info_by_point_2238.log 332 KB 07/22/2014 Antonio Falciano

05/17/2024 2/2


